#ifndef _LOGFILE_H_
#define _LOGFILE_H_

#include "str_buf.h"

#define LOG_ALL  31
#define LOG_SER  8
#define LOG_NET  4
#define LOG_WARN 2
#define LOG_MAIN 1

void logfileInit(char *path, int nodate, int use_stdout, int write_all);
void logfileOut(int mask, const char *fmt, ...);
void logfileOutBuf(int mask, Str_Buf *buf);
void logfileShowErr(char *text);
void logfileMask(int mask);
void logfileWrite(int mask);
void logfileClose(void);

#endif /* _LOGFILE_H_ */
